import numpy as np

NUMBER_OF_ATOMS_IN_SHELL = {
    "fcc": np.array(
        [
            12.0,
            6.0,
            24.0,
            12.0,
            24.0,
            8.0,
            48.0,
            6.0,
            36.0,
            24.0,
            24.0,
            24.0,
            72.0,
            48.0,
            12.0,
            48.0,
            30.0,
            72.0,
            24.0,
            48.0,
            24.0,
            48.0,
            8.0,
            84.0,
            24.0,
            96.0,
            48.0,
            24.0,
            96.0,
            6.0,
            96.0,
            48.0,
            48.0,
            36.0,
            120.0,
            24.0,
            48.0,
            24.0,
            48.0,
            48.0,
            120.0,
            24.0,
            120.0,
            96.0,
            24.0,
            108.0,
            30.0,
            48.0,
            72.0,
            72.0,
            32.0,
            144.0,
            96.0,
            72.0,
            72.0,
            48.0,
            120.0,
            144.0,
            12.0,
            48.0,
            48.0,
            168.0,
            48.0,
            96.0,
            48.0,
            48.0,
            30.0,
            192.0,
            24.0,
            120.0,
            72.0,
            96.0,
            96.0,
            24.0,
            108.0,
            96.0,
            120.0,
            48.0,
            144.0,
            24.0,
            144.0,
            24.0,
            96.0,
            72.0,
            144.0,
            48.0,
            144.0,
            48.0,
            8.0,
            240.0,
            54.0,
            120.0,
            84.0,
            72.0,
            48.0,
            240.0,
            24.0,
            96.0,
            72.0,
            72.0,
            96.0,
            120.0,
            144.0,
            48.0,
            96.0,
            48.0,
            240.0,
            24.0,
            216.0,
            72.0,
            96.0,
            132.0,
            72.0,
            144.0,
            96.0,
            144.0,
            192.0,
            6.0,
            96.0,
            96.0,
            72.0,
            96.0,
            240.0,
            24.0,
            192.0,
            48.0,
            144.0,
            96.0,
            168.0,
            48.0,
            96.0,
            144.0,
            36.0,
            240.0,
            48.0,
            168.0,
            120.0,
            72.0,
            56.0,
            144.0,
            24.0,
            240.0,
            96.0,
            96.0,
            48.0,
            312.0,
            144.0,
            24.0,
            96.0,
            102.0,
            264.0,
            48.0,
            96.0,
            72.0,
            144.0,
            48.0,
            180.0,
            48.0,
            216.0,
            120.0,
            120.0,
            240.0,
            24.0,
            192.0,
            144.0,
            72.0,
            120.0,
            216.0,
            48.0,
            144.0,
            144.0,
            48.0,
            336.0,
            96.0,
            192.0,
            96.0,
            24.0,
            240.0,
            48.0,
            192.0,
            108.0,
            120.0,
            72.0,
            240.0,
            30.0,
            192.0,
            168.0,
            192.0,
            48.0,
        ]
    ),
    "bcc": np.array(
        [
            8.0,
            6.0,
            12.0,
            24.0,
            8.0,
            6.0,
            24.0,
            24.0,
            24.0,
            32.0,
            12.0,
            48.0,
            30.0,
            24.0,
            24.0,
            24.0,
            8.0,
            48.0,
            24.0,
            48.0,
            72.0,
            6.0,
            24.0,
            48.0,
            36.0,
            56.0,
            24.0,
            24.0,
            72.0,
            48.0,
            24.0,
            48.0,
            24.0,
            72.0,
            30.0,
            72.0,
            72.0,
            32.0,
            48.0,
            72.0,
            48.0,
            48.0,
            12.0,
            120.0,
            48.0,
            48.0,
            72.0,
            48.0,
            30.0,
            56.0,
            24.0,
            72.0,
            96.0,
            24.0,
            24.0,
            96.0,
            48.0,
            120.0,
            24.0,
            24.0,
            120.0,
            72.0,
            48.0,
            48.0,
            8.0,
            96.0,
            54.0,
            84.0,
            96.0,
            48.0,
            24.0,
            72.0,
            72.0,
            96.0,
            96.0,
            48.0,
            120.0,
            48.0,
            24.0,
            48.0,
            72.0,
            104.0,
            72.0,
            96.0,
            168.0,
            6.0,
            96.0,
            96.0,
            96.0,
            48.0,
            24.0,
            48.0,
            120.0,
            96.0,
            48.0,
            72.0,
            36.0,
            96.0,
            48.0,
            120.0,
            192.0,
            56.0,
            24.0,
            72.0,
            96.0,
            48.0,
            144.0,
            24.0,
            96.0,
            102.0,
            48.0,
            72.0,
            72.0,
            48.0,
            144.0,
            48.0,
            120.0,
            120.0,
            24.0,
            96.0,
            144.0,
            120.0,
            104.0,
            48.0,
            192.0,
            48.0,
            96.0,
            72.0,
            24.0,
            120.0,
            48.0,
            108.0,
            192.0,
            72.0,
            30.0,
            48.0,
            168.0,
            48.0,
        ]
    ),
    "hcp": None,
}
